Subject: Re: [RFC/GSoC] Proposal: Make git-pull and git-am builtins

From: Sebastian Schuberth <[email-masked]>
Date: Wed, 25 Mar 2015 21:32:28 +0100

On 24.03.2015 17:37, Paul Tan wrote:

> I'm applying for git in the Google Summer of Code this year. For my
> project, I propose to rewrite git-pull.sh and git-am.sh into fast
> optimized C builtins. I've already hacked up a prototype of a builtin
> git-pull in [1], and it showed a promising 8x improvement in execution
> time on Windows.

I cannot thank you enough for starting this effort. As one of the 
project owners of Git for Windows I can confirm the (shell) script Git 
commands to be a major source of pain.

I really hope your proposal gets accepted and you'll be able to 
successfully complete this task.

All the best!

-- 
Sebastian Schuberth